
//Función que valida que acepte solo numeros
function valida(e){
                tecla = (document.all) ? e.keyCode : e.which;

                //Tecla de retroceso para borrar, siempre la permite
                if (tecla==8){
                  return true;
                }
        
                // Patron de entrada, en este caso solo acepta numeros
                patron =/["0123456789"]/;
                tecla_final = String.fromCharCode(tecla);
                return patron.test(tecla_final);
            }  
//Función que hace la suma de los productos agregados
function Totales() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var totalResult = Number( text_piezas1.value ) + Number( text_piezas2.value );
  //sumamos las cajas con los nombres
        total.value = roundTo( totalResult, 2 );
   }
 }

function roundTo(num,pow){
  if( isNaN( num ) ){
    num = 0;
  }
  
  return num;
}

function confirma(){
 if (confirm("¿Realmente desea eliminarlo?")){ 
 }
 else { 
 return false
 }
}

$(document).ready(function(){
        $('#Franquicia').on('change',function(){
            var IdFranquicias =$(this).val();
            if(IdFranquicias == ""){
              $('#Zona').prop('disabled',true);
            }else
            {
                $('#Zona').prop('disabled',false);
                $.ajax({
                  url:'MostrarZona',
                  type:"POST",
                  data:{'IdFranquicias': IdFranquicias},
                  success: function(data){
                   $('#Zona').html(data);
                  },
                      error: function(){
                        alert('Ocuarrio un error!!!!!!');
                      }
                });
            }

        });
        (function(){
            function removeAccents ( data ) {
                if ( data.normalize ) {
                    /* Use la API I18n si está disponible para dividir caracteres y acentos, luego elimine
                       los acentos al por mayor. Tenga en cuenta que utilizamos los datos originales, así como
                       lo nuevo para permitir la búsqueda de cualquiera de los formularios.*/
                    return data +' '+ data
                        .normalize('NFD')
                        .replace(/[\u0300-\u036f]/g, '');
                }
             
                return data;
            }
             
            var searchType = jQuery.fn.DataTable.ext.type.search; 
            searchType.string = function ( data ) {
                return ! data ?
                    '' :
                    typeof data === 'string' ?
                        removeAccents( data ) :
                        data;
            };
             
            searchType.html = function ( data ) {
                return ! data ?
                    '' :
                    typeof data === 'string' ?
                        removeAccents( data.replace( /<.*?>/g, '' ) ) :
                        data;
            };
        }());
    });
